Subject: Re: [PATCH] git-completion: Add git help completion for aliases

From: SZEDER Gábor <[email-masked]>
Date: Tue, 22 Mar 2011 09:50:27 +0100

On Tue, Mar 22, 2011 at 12:53:43AM -0700, Junio C Hamano wrote:
> This is a constructive tangent but if we are going to run $(__git_aliases)
> every time we run _git_help, perhaps it would want a hack similar to the
> way the value for $__git_all_commands is generated just once?

I think this is not necessary.  We already run __git_aliases() every
time after 'git <TAB>', and it was not an issue so far.  And indeed, I
just created 50 aliases, and the time required for __git_aliases()
seems to be negligible:

  $ time __git_aliases
  <bunch of aliases>

  real    0m0.028s
  user    0m0.016s
  sys     0m0.004s

Besides, invoking __git_aliases() every time has the benefit that
newly added aliases will appear immediately in completion suggestions.

Best,
Gábor